Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.sagadapter.sagapi
Interface SAGApi.Solutions

Enclosing interface:
  SAGApi

    public static interface SAGApi.Solutions

A set of Swift Solutions, i.e. Funds, BulkPayments, etc.

Version:
  cvs revision: $Revision: 1.4 $ Last Modified: $Date: 2007/10/19 19:48:21 $
Author:
  Harry Liu (harry.liu@sun.com)

Nested Class Summary
`static interface` | `SAGApi.Solutions.Accord` Accord.
`static interface` | `SAGApi.Solutions.Affirmations` Affirmations.
`static interface` | `SAGApi.Solutions.BulkPayments` BulkPayments.
`static interface` | `SAGApi.Solutions.CashReporting` CashReporting.
`static interface` | `SAGApi.Solutions.CLSThirdPartyService` CLSThirdPartyService.
`static interface` | `SAGApi.Solutions.CorporateActions` CorporateActions.
`static interface` | `SAGApi.Solutions.Corporates` Corporates.
`static interface` | `SAGApi.Solutions.DataDistribution` DataDistribution.
`static interface` | `SAGApi.Solutions.ExceptionsAndInvestigations` ExceptionsAndInvestigations.
`static interface` | `SAGApi.Solutions.FIX` FIX.
`static interface` | `SAGApi.Solutions.Funds` Funds.
`static interface` | `SAGApi.Solutions.PaymentsClearing` PaymentsClearing.
`static interface` | `SAGApi.Solutions.TradeServicesUtility` TradeServicesUtility.

Method Summary
`SAGApi.Solutions.Accord` | `getAccord()` Gets Accord.
`SAGApi.Solutions.Affirmations` | `getAffirmations()` Gets Affirmations.
`SAGApi.Solutions.BulkPayments` | `getBulkPayments()` Gets BulkPayments.
`SAGApi.Solutions.CashReporting` | `getCashReporting()` Gets CashReporting.
`SAGApi.Solutions.CLSThirdPartyService` | `getCLSThirdPartyService()` Gets CLSThirdPartyService.
`SAGApi.Solutions.CorporateActions` | `getCorporateActions()` Gets CorporateActions.
`SAGApi.Solutions.Corporates` | `getCorporates()` Gets Corporates.
`SAGApi.Solutions.DataDistribution` | `getDataDistribution()` Gets DataDistribution.
`SAGApi.Solutions.ExceptionsAndInvestigations` | `getExceptionsAndInvestigations()` Gets ExceptionsAndInvestigations.
`SAGApi.Solutions.FIX` | `getFIX()` Gets FIX.
`SAGApi.Solutions.Funds` | `getFunds()` Gets Funds.
`SAGApi.Solutions.PaymentsClearing` | `getPaymentsClearing()` Gets PaymentsClearing.
`SAGApi.Solutions.TradeServicesUtility` | `getTradeServicesUtility()` Gets TradeServicesUtility.

Method Detail

### getAccord

    SAGApi.Solutions.Accord getAccord()

  Gets Accord.

  Parameters:
    None.

  Returns:
    `Accord` - Returns Accord.
  Throws:
    None.

### getAffirmations

    SAGApi.Solutions.Affirmations getAffirmations()

  Gets Affirmations.

  Parameters:
    None.

  Returns:
    `Affirmations` - Returns Affirmations.
  Throws:
    None.

### getBulkPayments

    SAGApi.Solutions.BulkPayments getBulkPayments()

  Gets BulkPayments.

  Parameters:
    None.

  Returns:
    `BulkPayments` - Returns BulkPayments.
  Throws:
    None.

### getCashReporting

    SAGApi.Solutions.CashReporting getCashReporting()

  Gets CashReporting.

  Parameters:
    None.

  Returns:
    `CashReporting` - Returns CashReporting.
  Throws:
    None.

### getCLSThirdPartyService

    SAGApi.Solutions.CLSThirdPartyService getCLSThirdPartyService()

  Gets CLSThirdPartyService.

  Parameters:
    None.

  Returns:
    `CLSThirdPartyService` - Returns CLSThirdPartyService.
  Throws:
    None.

### getCorporateActions

    SAGApi.Solutions.CorporateActions getCorporateActions()

  Gets CorporateActions.

  Parameters:
    None.

  Returns:
    `CorporateActions` - Returns CorporateActions.
  Throws:
    None.

### getCorporates

    SAGApi.Solutions.Corporates getCorporates()

  Gets Corporates.

  Parameters:
    None.

  Returns:
    `Corporates` - Returns Corporates.
  Throws:
    None.

### getDataDistribution

    SAGApi.Solutions.DataDistribution getDataDistribution()

  Gets DataDistribution.

  Parameters:
    None.

  Returns:
    `DataDistribution` - Returns DataDistribution.
  Throws:
    None.

### getExceptionsAndInvestigations

    SAGApi.Solutions.ExceptionsAndInvestigations getExceptionsAndInvestigations()

  Gets ExceptionsAndInvestigations.

  Parameters:
    None.

  Returns:
    `ExceptionsAndInvestigations` - Returns ExceptionsAndInvestigations.
  Throws:
    None.

### getFIX

    SAGApi.Solutions.FIX getFIX()

  Gets FIX.

  Parameters:
    None.

  Returns:
    `FIX` - Returns FIX.
  Throws:
    None.

### getFunds

    SAGApi.Solutions.Funds getFunds()

  Gets Funds.

  Parameters:
    None.

  Returns:
    `void` - Returns Funds.
  Throws:
    None.

### getPaymentsClearing

    SAGApi.Solutions.PaymentsClearing getPaymentsClearing()

  Gets PaymentsClearing.

  Parameters:
    None.

  Returns:
    `PaymentsClearing` - Returns PaymentsClearing.
  Throws:
    None.

### getTradeServicesUtility

    SAGApi.Solutions.TradeServicesUtility getTradeServicesUtility()

  Gets TradeServicesUtility.

  Parameters:
    None.

  Returns:
    `TradeServicesUtility` - Returns TradeServicesUtility.
  Throws:
    None.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.